/* Input */

input[type=text],
input[type=email],
input[type=password] {
  width: 25em;
  margin-bottom: 0.5em;
  padding: 12px;
  background-color: #fff;
  border: 1px solid #9c89b8;
  border-radius: 0.5em;
  box-sizing: border-box;
  font: inherit;
  outline: none;
  appearance: none;
}

/* Buttons */

button {
  width: 25em;
  padding: 12px 20px;
  background-color: #9c89b8;
  border: none;
  border-radius: 0.5em;
  color: #fff;
  cursor: pointer;
  appearance: button;
  -webkit-appearance: button;
}

button:hover {
  opacity: 0.8;
}

/* Select */

select {
  width: 100%;
  padding: 4px;
}

/* Rounded switch checkbox / slider */

.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked+.slider {
  background-color: #9c89b8;
}

input:focus+.slider {
  box-shadow: 0 0 1px #9c89b8;
}

input:checked+.slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

/* For mobile phones */
@media only screen and (max-width: 768px) {

  input[type=text],
  input[type=email],
  input[type=password] {
    width: 100% !important;
  }

  button {
    width: 100% !important;
  }

}